VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Protected Member Functions | Properties
VisiMath.VertexArray< T > Class Template Reference
Inheritance diagram for VisiMath.VertexArray< T >:

List of all members.

## Classes
class | VAEnumerator
## Public Member Functions
| VertexArray (int capacity)
| Constructs vertexlist with specified capacity.
| VertexArray (IEnumerable< T > verarray)
| Constructs vertex list from the vertex collection.
IEnumerator< IVertex > | GetEnumerator ()
IntPtr | GetPointer ()
| Returns pointer to pinned array which can be used in unmanaged code. Must be freed again with freepointer! If VertexArray contains Vertex which is not structure, this function will throw exception! Dynamic VertexArray (VertexList and other) have to convert itself to VertexArray (DO NOT use for rendering every frame)
void | FreePointer ()
| Frees previously pinned pointer to array.
int | GetSize ()
| Total size of the array.
int | GetVertexSize ()
| Size of one vertex.
void | Dispose ()
IVertexArray | GetCopy ()
| Returns copy of the vertex array.
System.Xml.Schema.XmlSchema | GetSchema ()
| Reqired by IXMLserializable.
void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
void | WriteXml (System.Xml.XmlWriter writer)
| Serializes object to XML.
## Public Attributes
T[] | Vertices
## Protected Member Functions
void | ConstructIndexers ()
## Properties
VertexIndexerVec3 | Positions`[get]`
| Quick accessor to position vectors.
VertexIndexerVec3 | Normals`[get]`
| Quick acessor to normal vectors.
VertexIndexerVec2 | TexCoords`[get]`
| Quick acessors to texture coordinates.
VertexIndexerColorByte | Colors`[get]`
| Quick accessor to color informations.
bool | IsPinnable`[get]`
| Returns true if it's possible to pin vertices and use it in unmanaged code with GetPointer Dynamic VertexLists returns false (it's still possible to use GetPointer, but new vertexarray will be created!)
IVertex | this[int index]`[get, set]`
int | Count`[get]`
VertexDescriptor | Descriptor`[get]`

### template<T>
class VisiMath::VertexArray< T >

## Member Function Documentation

template<T >

void VisiMath.VertexArray< T >.ConstructIndexers | ( |  | ) | `[protected]`

template<T >

void VisiMath.VertexArray< T >.Dispose | ( |  | ) |

template<T >

void VisiMath.VertexArray< T >.FreePointer | ( |  | ) |

Frees previously pinned pointer to array.

Implements VisiMath.IVertexArray.

template<T >

IVertexArray VisiMath.VertexArray< T >.GetCopy | ( |  | ) |

Returns copy of the vertex array.

Returns:

Implements VisiMath.IVertexArray.

template<T >

IEnumerator<IVertex> VisiMath.VertexArray< T >.GetEnumerator | ( |  | ) |

template<T >

IntPtr VisiMath.VertexArray< T >.GetPointer | ( |  | ) |

Returns pointer to pinned array which can be used in unmanaged code. Must be freed again with freepointer! If VertexArray contains Vertex which is not structure, this function will throw exception! Dynamic VertexArray (VertexList and other) have to convert itself to VertexArray (DO NOT use for rendering every frame)

Implements VisiMath.IVertexArray.

template<T >

System.Xml.Schema.XmlSchema VisiMath.VertexArray< T >.GetSchema | ( |  | ) |

Reqired by IXMLserializable.

Returns:
  Null

template<T >

int VisiMath.VertexArray< T >.GetSize | ( |  | ) |

Total size of the array.

Implements VisiMath.IVertexArray.

template<T >

int VisiMath.VertexArray< T >.GetVertexSize | ( |  | ) |

Size of one vertex.

Implements VisiMath.IVertexArray.

template<T >

void VisiMath.VertexArray< T >.ReadXml | ( | System.Xml.XmlReader | reader | ) |

Deserializes object from XML.

Parameters:

  reader | XML reader

template<T >

VisiMath.VertexArray< T >.VertexArray | ( | IEnumerable< T > | verarray | ) |

Constructs vertex list from the vertex collection.

Parameters:

  verarray | Source Vertex array

template<T >

VisiMath.VertexArray< T >.VertexArray | ( | int | capacity | ) |

Constructs vertexlist with specified capacity.

Parameters:

  capacity | Required capacity

template<T >

void VisiMath.VertexArray< T >.WriteXml | ( | System.Xml.XmlWriter | writer | ) |

Serializes object to XML.

Parameters:

  writer | XML writer to save values

## Member Data Documentation

template<T >

T [] VisiMath.VertexArray< T >.Vertices

## Property Documentation

template<T >

VertexIndexerColorByte VisiMath.VertexArray< T >.Colors`[get]`

Quick accessor to color informations.

Implements VisiMath.IVertexArray.

template<T >

int VisiMath.VertexArray< T >.Count`[get]`

Implements VisiMath.IVertexArray.

template<T >

VertexDescriptor VisiMath.VertexArray< T >.Descriptor`[get]`

Implements VisiMath.IVertexArray.

template<T >

bool VisiMath.VertexArray< T >.IsPinnable`[get]`

Returns true if it's possible to pin vertices and use it in unmanaged code with GetPointer Dynamic VertexLists returns false (it's still possible to use GetPointer, but new vertexarray will be created!)

Implements VisiMath.IVertexArray.

template<T >

VertexIndexerVec3 VisiMath.VertexArray< T >.Normals`[get]`

Quick acessor to normal vectors.

Implements VisiMath.IVertexArray.

template<T >

VertexIndexerVec3 VisiMath.VertexArray< T >.Positions`[get]`

Quick accessor to position vectors.

Implements VisiMath.IVertexArray.

template<T >

VertexIndexerVec2 VisiMath.VertexArray< T >.TexCoords`[get]`

Quick acessors to texture coordinates.

Implements VisiMath.IVertexArray.

template<T >

IVertex VisiMath.VertexArray< T >.this[int index]`[get, set]`

Implements VisiMath.IVertexArray.

The documentation for this class was generated from the following file:

- VertexArray.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events